org.apache.commons.math3.stat.inference

## Class OneWayAnova.AnovaStats

- java.lang.Object
- - org.apache.commons.math3.stat.inference.OneWayAnova.AnovaStats

Enclosing class:
  OneWayAnova

    private static class OneWayAnova.AnovaStats
    extends java.lang.Object

Convenience class to pass dfbg,dfwg,F values around within OneWayAnova. No get/set methods provided.

### Field Summary

Fields
`private int` `dfbg` Degrees of freedom in numerator (between groups).
`private int` `dfwg` Degrees of freedom in denominator (within groups).
`private double` `F` Statistic.

### Constructor Summary

Constructors
`private` `OneWayAnova.AnovaStats(int dfbg, int dfwg, double F)` Constructor

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dfbg

    private final int dfbg

Degrees of freedom in numerator (between groups).

#### dfwg

    private final int dfwg

Degrees of freedom in denominator (within groups).

#### F

    private final double F

Statistic.

### Constructor Detail

#### OneWayAnova.AnovaStats

    private OneWayAnova.AnovaStats(int dfbg,
                          int dfwg,
                          double F)

Constructor

Parameters:
  `dfbg` - degrees of freedom in numerator (between groups)
  `dfwg` - degrees of freedom in denominator (within groups)
  `F` - statistic